unit SwitchU;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TSwitchForm = class(TForm)
    FieldName: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    GroupBox1: TGroupBox;
    cpOFF: TRadioButton;
    cpON: TRadioButton;
    GroupBox2: TGroupBox;
    cpNotEmpty: TRadioButton;
    cpEmpty: TRadioButton;
    GroupBox3: TGroupBox;
    History: TListBox;
    Label3: TLabel;
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    last : string;
  end;

var
  SwitchForm: TSwitchForm;

implementation

{$R *.DFM}

procedure TSwitchForm.BitBtn2Click(Sender: TObject);
var
  s : string;        
begin
  s := 'if "' + FieldName.Text+'" ';
  if cpEmpty.Checked then s := s+ 'is empty, then '
     else s := s+ 'is not empty, then ';

  if cpOn.Checked then s := s+ 'use the following text'
     else s := s+ 'ignore the following text';

  History.Items.Add(s);

  last := FieldName.Text;
  if cpEmpty.Checked then last := last+ '_0'
     else last := last+ '_1';

  if cpOn.Checked then last := last+ '>'
     else last := last + '<';

  ModalResult := IDOK;
end;

end.
